geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Niklas Gustavsson <nik...@protocol7.com>
Subject Re: What is the Java Version for building source code?
Date Sat, 31 Mar 2007 09:52:32 GMT
Jason Dillon wrote:
> Are you using the latest code from server/trunk?  I updated the build 
> last night to use a previous snapshot version of the 
> maven-enforcer-plugin to get around this problem until Brian can fix the 
> issue with the plugin.  With the latest in server/trunk you should *not* 
> see this problem.

Just updated and that did not seem to do the trick. Running mvn -X test 
tells me that the enforces plugin is resolved to 
1.0-alpha-1-20070330.033942-10 which sounds like you'r new version. The 
maven-enforcer-rule-api is resolved to 1.0-alpha-1-20070328.035444-2.

The error part of the build log says:
[DEBUG] maven-enforcer-rule-api: resolved to version 
1.0-alpha-1-20070328.035444-2 from repository apache.snapshots
[DEBUG] Retrieving parent-POM: 
org.apache.maven.shared:maven-shared-components::7 for project: 
org.apache.maven.shared:maven-enforcer-rule-api:jar:1.0-alpha-1-SNAPSHOT 
from the repository.
[DEBUG] Retrieving parent-POM: org.apache.maven:maven-parent::5 for 
project: org.apache.maven.shared:maven-shared-components:pom:7 from the 
repository.
[DEBUG] Retrieving parent-POM: org.apache:apache::3 for project: 
org.apache.maven:maven-parent:pom:5 from the repository.
[DEBUG] 
org.apache.maven.shared:maven-enforcer-rule-api:jar:1.0-alpha-1-SNAPSHOT:runtime 
(selected for runtime)
[DEBUG]   org.apache.maven:maven-plugin-api:jar:2.0.5:runtime (selected 
for runtime)
[DEBUG] maven-enforcer-rule-api: resolved to version 
1.0-alpha-1-20070328.035444-2 from repository apache.snapshots
[DEBUG] Configuring mojo 
'org.apache.maven.plugins:maven-enforcer-plugin:1.0-alpha-1-SNAPSHOT:enforce' 
-->
[DEBUG]   (s) fail = true
[DEBUG]   (s) failFast = false
[DEBUG]   (s) version = [1.5,1.6)
[DEBUG]   (s) version = [2.0.5,)
[DEBUG]   (s) rules = 
[Lorg.apache.maven.shared.enforcer.rule.api.EnforcerRule;@557280
[DEBUG]   (s) session = org.apache.maven.execution.MavenSession@1b7e37
[DEBUG]   (s) skip = false
[DEBUG] -- end configuration --
[INFO] [enforcer:enforce {execution: default}]
[DEBUG] Executing rule: RequireJavaVersion
[DEBUG] Executing rule: RequireMavenVersion
[INFO] Detected Maven Version: 2.0.5 is allowed in the range [2.0.5,).
[WARNING] Rule 0: RequireJavaVersion failed with message: Detected JDK 
Version: 1.5.0-05 is not in the allowed range [1.5,1.6).
[INFO] 
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] 
------------------------------------------------------------------------
[INFO] Some rules have failed.
[INFO] 
------------------------------------------------------------------------
[DEBUG] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Some rules have 
failed.
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:564)
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:480)
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:459)
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:311)
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:278)
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:143)
	at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:330)
	at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:123)
	at org.apache.maven.cli.MavenCli.main(MavenCli.java:272)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
	at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
	at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
	at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.plugin.MojoExecutionException: Some rules 
have failed.
	at 
org.apache.maven.plugin.enforcer.EnforceMojo.execute(EnforceMojo.java:157)
	at 
org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:420)
	at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:539)
	... 16 more


Any help is appreciated!

/niklas




Mime
View raw message